package com.bocloud.cmp.provider.jumpserver;

import com.bocloud.cmp.model.jumpserver.CmdTemplate;
import com.bocloud.cmp.model.jumpserver.CmdTemplateRule;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import org.apache.http.util.Asserts;

import java.util.List;

public interface CmdTemplateProvider extends SuperProvider {

    default BocloudResult<List<CmdTemplate>> list(Integer page, Integer size) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<CmdTemplate> create(CmdTemplate cmdTemplate) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<Void> remove(Long id) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<Void> modify(CmdTemplate cmdTemplate) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<CmdTemplate> detail(Long id) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<List<CmdTemplateRule>> listRuleByTempId(Long id) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<List<CmdTemplateRule>> listCreateTempRule(List<CmdTemplateRule> cmdTemplateRules) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<Void> removeTempRuleByRuleId(Long ruleId) {
        return new BocloudResult(false, "need implement");
    }
}